html {
    max-width: 900px;
    padding-left: 2%;
    padding-right: 2%;
    margin: 0 auto;
    background: #dcdde1;
    color: #373945;
}

a:hover {
    text-decoration: underline;
}

header {
    font-family: "Raleway", sans-serif;
    font-optical-sizing: auto;
    font-weight: 800;
    font-style: normal;
    font-size: 18px;
    text-align: center;
    margin-top: 2em;
    margin-bottom: 4em;
}

.header-container {
    display: inline-block;
}

.header-nav-row {
    display: flex;
    column-gap: 1em;
    justify-content: space-between;
}

.header-nav {
    text-decoration: none;
    color: #373945;
}

body {
    font-family: "Source Sans 3", sans-serif;
    font-weight: 400;
    font-size: 18px;
}

body a {
    color: #3a7af2;
    font-weight: bold;
    text-decoration: none;
}

.title-date {
    font-family: "Libre Baskerville", serif;
    font-weight: 400;
    font-style: italic;
    font-size: 18px;
}

.title-name {
    font-weight: bold;
    font-family: "Libre Baskerville", serif;
    font-weight: 700;
    font-style: normal;
    font-size: 24px;
}

.title-caption {
    font-family: "Libre Baskerville", serif;
    font-weight: 400;
    font-style: normal;
    font-size: 22px;
}

h1 {
    font-family: "Libre Baskerville", serif;
    font-weight: bold;
    font-style: normal;
    font-size: 20px;
    margin-top: 2em;
}

h2 {
    font-family: "Source Sans 3", sans-serif;
    font-weight: bold;
    font-style: normal;
    font-size: 18px;
    margin-top: 1em;
}

h3 {
    font-family: "Source Sans 3", sans-serif;
    font-weight: 600;
    font-style: italic;
    font-size: 18px;
    margin-top: 1em;
}

p {
    text-align: justify;
}

sup {
    line-height: 0;
}

img {
    display: block;
    margin: auto;
    border: 1px solid #373945;
    width: auto;
    height: auto;
    max-width: 100%;
    max-height: 900px;
    font-size: 0px;
}

figcaption {
    margin-top: 0.5ch;
    text-align: center;
    font-style: italic;
}

blockquote {
    background-color: #f3f3f3;
    border: dashed 1px #373945;
    font-style: italic;
    text-align: justify;
    padding: 2ch;
    padding-top: 0ch;
    padding-bottom: 0ch;
    margin: 0ch;
}

code {
    font-family: "Source Code Pro", monospace;
    font-optical-sizing: auto;
    font-weight: normal;
    font-style: normal;
    font-size: 16px;
      background-color: #c0c3cb;
    border-radius: 0.2ch;
    padding-left: 0.3ch;
    padding-right: 0.3ch;
}

pre {
    background-color: #c0c3cb;
    border: 1px solid #373945;
    border-radius: 0.2ch;
    padding-left: 2%;
    padding-top: 1ch;
    padding-bottom: 1ch;
    overflow: auto;
}

pre code {
    padding-left: 0%;
    padding-right: 0%;
}

table {
    border-collapse: collapse;
    margin-top: 1em;
}

th, td {
    padding: 0.4em;
    font-size: 18px;
}

td + td, th + th {
    border-left: 1px solid #373945;
}
    
td {
    border-top: 1px solid #373945;
}

.footnote-back {
    margin-left: 0.5em;
}

footer {
    text-align: center;
    margin-top: 4em;
    margin-bottom: 2em;
}

@media (max-width: 500px) {
    header {
        font-size: 12px;
    }
    
    body {
        font-size: 12px;
    }

    .title-date {
        font-size: 12px;
    }

    .title-name {
        font-size: 18px;
    }

    .title-caption {
        font-size: 16px;
    }

    h1 {
        font-size: 14px;
    }

    h2 {
        font-size: 12px;
    }

    h3 {
        font-size: 12px;
    }

    code {
        font-size: 12px;
    }

    th, td {
        font-size: 12px;
    }
}
